Issue relation table doesn't have constraints to issues id

2010-12-03 15:21 - Bruno Medeiros

Status: Closed Start date: 2010-12-03

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Database Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

I have a Redmine 1.0.4 running on MySQL. For some reason I didn't discovered it, at some time there was a lot of entries in

'issues_relation' table referencing deleted issues. This caused the defect #7018 and may cause some other problems in the future.

History

#1 - 2010-12-04 19:09 - Jean-Philippe Lang

Of course, FK would be a clean solution to ensure that this problem never occurs but Rails doesn't provide support for FK.

That said, the rows in issue_relations should be deleted by the application when deleting one of the issues. Do you know a way to reproduce this

situation?

#2 - 2010-12-07 04:12 - Bruno Medeiros

Jean, I the last 3 weeks I was trying some plugins and external tools to import MS Project files into Redmine. The first plugin I tried was:

https://github.com/vile/redmine_loader/network

I prefer to think that it was caused to some abrupt termination of the server then a plugin's fault, but everything need to be considered.

I loaded tons of issues (400+) in a row and deleted then using the issue tab several times (load via plugin, see the results, select all, right click,

delete). I tried to reproduce that without success. It can be a combination of factors, like server being stopped when deleting issues, or something like

that. Don't know if it's worth worry about it...

#3 - 2019-01-10 04:17 - Marius BĂLTEANU

- Status changed from New to Closed

- Resolution set to Invalid

#4 - 2019-01-10 04:19 - Marius BĂLTEANU

I'm closing this because is obsolete and there are no such problems in the recent Redmine versions.
